Qt 5.8 | Qt 3D | QML Types | Viewport QML Type

Qt 5.8.0 Reference Documentation

# Viewport QML Type

A viewport on the Qt3D Scene More...

Import Statement: | import Qt3D.Render 2.0
Since: | Qt 5.7
Instantiates: | QViewport

- List of all members, including inherited members

## Properties

- normalizedRect : rect

## Detailed Description

Viewport of the scene specifies at which portion of the render surface Qt3D is rendering to. Area outside the viewport is left untouched.

## Property Documentation

normalizedRect : rect

Specifies the normalised rectangle for the viewport, i.e. the viewport rectangle is specified relative to the render surface size. Whole surface sized viewport is specified as [0.0, 0.0, 1.0, 1.0], which is the default.